spring  :  dialog { 
	label="AutoSpring 2000";
           :row{
	:boxed_column {
	label="Spring Parameters";
	:edit_box {
	    label= "Spring Inner Diameter";
	    mnemonic="D";
	    key="spring_dia";
	    edit_limit=5;
	    edit_width=5;
	    value="";
	          }
	:edit_box {
	   label= "Number of Turns";
	   mnemonic="N";
	   key="turns";
	   edit_limit=3;
	   edit_width=3;
	   value="";
	                 }
	:edit_box{
	     label="Number of Points on Curve";
	     mnemonic="C";
	     key="curve_num";
	     edit_limit=3;
	     edit_width=3;
	     value="";
		}
	:edit_box{
	     label="Spring Pitch";
	     mnemonic="P";
	     key="pitch";
	     edit_limit=4;
	     edit_width=4;
	     value="";
		}
	 	 }
       :boxed_column{
	  label="Spring Center Point";
	 :edit_box{
	    label="X Origin";
	    mnemonic="X";
	    key="x";
	    edit_limit=8;
	    edit_width=8;
		} 
         	:edit_box{         
	  label="Y Origin";
	  mnemonic="Y";
	  key="y";
	  edit_limit=8;
	  edit_width=8;
		} 
	 :edit_box{
	    label="Z Origin";
	    mnemonic="Z";
	    key="z";
	    edit_limit=8;
	    edit_width=8;
		}   
	:button{
	   key="pick";
	   mnemonic="P";
	   label="Pick Center Point";
	   fixed_width=true;
	   width=12;
	   alignment=right;
		}
		  }
		    }
       :row{  
	:boxed_column{
	   label="Render 3D Model ";
	:toggle{
	  label="Render with 3D View";
	  key="ren";
		}
	:toggle{
	   label="Hide with 3D View";
	   key="hidden";
		}
		  }
      :boxed_radio_column {
	  label="Spring Type";
	:radio_button{
   	  label="Taper";
	  key="taper";
        	}
      :radio_button{
	  label="Parallel";
	  key="parallel";
	  value="";
        	}
		  }
      :boxed_column{
        label="Taper Angle";
      :edit_box{
          label="Angle";
	    mnemonic="T";
	    key="taper_ang";
	    edit_limit=3;
	    edit_width=3;
		}   
		  }
               }
      :row{
      :boxed_radio_row {
	  label="Spring Section Type";
	:radio_button{
   	  label="Square";
	  key="square";
	  value="";
		}
	 :radio_button{
	  label="Round";
	  key="round";
		}
	 :radio_button{
	  label="None";
	  key="no_sect";
		}
	 :image{
	   label = "sect";
	   key = "sect";
	   width = 8;
	   color = dialog_background;
	   aspect_ratio = 1;
	   vertical_margin = 1;
         horizontal_margin = 1;
		  }
	       }
	       :boxed_column{
        label="Section Dimensions";
      :edit_box{
         label="Width";
	   mnemonic="W";
	   key="width";
         edit_limit=8;
         edit_width=8;
		   }
      :edit_box{
         label="Height";
	   mnemonic="H";
	   key="height";
         edit_limit=8;
         edit_width=8;
		   }
                }
      :boxed_column{
         label="Direction";
      :radio_button{
         label="Right Hand";
         key="r_hand";
         value="";
                   }
      :radio_button{
         label="Left Hand";
         key="l_hand";
                 }
          		}
			 }
	ok_cancel ;
   	
 }
       